version: "1"
use_location: true
use_loc_time: true

conn_timeout: 1
rpc_timeout: 2

json_templates:
  default:
    json_common: [ customer, mac, ipv6, ipv4, time, ad ]
    json_more: v
  data_temp: &json_data_temp
    json_common: [ sn, oui, ipv4, int_ver,ad ]
    json_more: data
  data_u01: &json_data_u01
    json_common: [ customer, mac, ipv4, time, ad, v ]
    json_more: v
    noarray: true
    addtime: true
    addtype: u01
# test
  data_test: &json_data_test
    json_common: [ customer, mac, ipv4, time, ad ]
    json_more: v
    noarray: true
    addtime: true
    addtype: u01


action_type_config:
  0xff07:
    type_configs:
      EOS_0XFF07_v1: 
        fields: [customer, mac, ipv6, ipv4, time, ad, type, cltver, ctei, accport, acctype, suggestworkmode, mesh, sn, model, osver, version, event_type, event_data]
        replace_type: APMAINTAIN
  0x1f:
    type_configs:
      pqprobe_data:
        fields: [customer,mac,ipv4,ad,dns,.mac,sip,sport,dip,dport,proto,app_id,timestamp,endtime,lat_status,lat1,lat2,lat3,lat4]
        replace_type: pqprobe_data
      pqprobe_dns_data_merge:
        fields: [customer,mac,period,dip,dport,domain,qtype,qclass,timestamp,lat_status,ips,count,lat_largest,lat_avg,ext]
        replace_type: pqprobe_dns_merge
      pqprobe_data_merge:
        fields: [customer,mac,period,dip,dport,proto,app_id,timestamp,lat_status,count,lat_inner_largest,lat_outer_largest,lat_inner_avg,lat_outer_avg,ext]
        replace_type: pqprobe_merge
      pqprobe_dns_data:
        fields: [customer,mac,ipv4,ad,dns,.mac,sip,sport,dip,dport,domain,qtype,qclass,timestamp,lat_status,lat,ips]
        replace_type: pqprobe_dns_data  
      https_domain:
        fields: [customer,mac,ipv4,ad,.mac,sip,sport,dip,dport,domain,appid]
        replace_type: https
      app_daily:
        fields: [customer,ipv4,mac,ad,time,ip,.mac,appid,osid,source,hit_cnt,period,province,datelabel]
        replace_type: app
  0xff19:
    type_configs:
      u01:
        fields: [ customer, mac, ad, time, ipv4, Version, OSVer, ID, Manufacture, ProductClass, Event_Type,Event_Data ]
        replace_type: NETWORKTEST
    action_meta:
      <<: *json_data_test
  0xff10:
    type_configs:
      u01:
        fields: [ customer, mac, ad, time, ipv4, testType, v ]
        replace_type: NETWORKQUALITYLOCAL
        filters:
          testType: [ Delete: [ "^$" ] ]
    action_meta:
      <<: *json_data_u01

  0xff11:
    type_configs:
      u01:
        fields: [ customer, mac, ad, time, ipv4, testType, v ]
        replace_type: NETWORKQUALITYPUBLIC
        filters:
          testType: [ Delete: [ "^$" ] ]
    action_meta:
      <<: *json_data_u01

  0xf004:
    action_meta:
       <<: *json_data_temp
    apparse_type: [http_data, https_domain, topo_upload]
    type_configs:
      http_data: 
       # fields: [sn,oui,ipv4,ad,url,ref,ua,cookie,method,.mac,ip,sport,dstip,dport,ts_sec]
        fields: [sn,oui,ipv4,url,ref,ua,cookie,method,.mac,ip,sport,dstip,dport,ts_sec]
        replace_type: http
      https_domain: 
        fields: [sn,oui,ipv4,.mac,sip,dip,appid,domain]
        replace_type: https
      dns_info_v2: 
        fields: [sn,oui,ipv4,ad,domain,user_ip,server_ip,ip]
        replace_type: dns
      tuple_info_v1: 
        fields: [sn,oui,ipv4,ad,.mac,proto,is_app,sip,sport,dip,dport,app_id,start_time,end_time]
        replace_type: tuple
      pqprobe_data: 
        fields: [sn,oui,ipv4,ad,mac,sip,sport,dip,dport,proto,app_id,time,endtime,lat_status,lat1,lat2,lat3,lat4]
        replace_type: pqprobedata
      pqprobe_dns_data:
        fields: [sn,oui,ipv4,ad,.mac,sip,sport,dip,dport,domain,qtype,qclass,timestamp,lat_status,lat,ips]
        replace_type: pqprobednsdata
      lanhost_stats_v1:
        fields: [sn,oui,ipv4,ad,.mac,time,ip,period,rx_bytes,tx_bytes]
        replace_type: lan
      wan_stats_v1:
        fields: [sn,oui,ipv4,ad,time,period,rx_bytes,tx_bytes]
        replace_type: wan
      topo_upload:
        fields: [sn,oui,ipv4,ad,]
#        fields: [sn,oui,ipv4,ad,dev_name,dns,wan_ip,lan_ip,loid,online_time,dev_acc_port,dev_acc_speed,dev_acc_type,dev_active,dev_brand,dev_dev_type,dev_devname,dev_hostname,dev_ip,dev_lastt_active_time,dev_last_inactive_time,mac2,dev_model,dev_online_time,dev_os,dev_par_mac,dev_power_level,dev_rxbytes,dev_txbytes,dev_wifi_type,dev_wifi_protocol]
        replace_type: topo
      devinfo_upload:
        fields: [sn,oui,ipv4,ad,cpu_usage,mem_usage,pon_txpower,pon_rxpower,pon_temper,tx_speed,rx_speed,time]
        replace_type: dev
      rawpkt:
        fields: [sn,oui,ipv4,name,umac,nol2,data,pkt_len,time]
        replace_type: rawpkt 



hostname_dns:
  TEST: 320000

filter_types:
#  811-http: 0
#  812-http: 0
#  813-http: 0
#  814-http: 0
#  815-http: 0
#  821-http: 0
#  822-http: 0
#  823-http: 0
#  831-http: 0
#  833-http: 0
#  834-http: 0
#  835-http: 0
#  836-http: 0
#  837-http: 0
#  841-http: 0
#  842-http: 0
#  843-http: 0
#  844-http: 0
#  845-http: 0
#  846-http: 0
#  850-http: 0
#  851-http: 0
#  852-http: 0
#  854-http: 0
#  861-http: 0
#  862-http: 0
#  863-http: 0
#  864-http: 0
#  865-http: 0
#  911-http: 0
#  834-topo_upload: 0
#
#
#  
